
## 
 # -------------------------------------------------------------------------
 # 
 # "vectorsToColumns" --
 # 
 #  Takes the given one-dimensional matrix names, and dumps their contents
 #  into 'to' as a sequence of tab-separated columns.  If $with_name then 
 #  we head each column with the name of the matrix.
 #  
 #  Assumes all matrices are the same size.
 # -------------------------------------------------------------------------
 ##
proc vectorsToColumns {to with_name args} {
    if {$with_name} {
	puts $to [join $args "\t"]
    }
    set h [[lindex $args 0] info]
    for {set i 0} {$i < $h} {incr i} {
	set row {}
	foreach vec $args {
	    lappend row [$vec $i]
	}
	puts $to [join $row "\t"]
    }    
}
